Enables all targeting rules for the specified placement.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/enable.do
Enables all targeting rules for the specified placement. Once enabled, all configured targeting rules are evaluated during ad serving. Previously disabled rules become active again without needing to be recreated. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/enable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());